{
  programs.swaylock = {
    enable = true;
    settings = {
      ignore-empty-password = true;
      show-failed-attempts = true;
      daemonize = true;
      show-keyboard-layout = true;
    };
  };
}
